APIAnalytics

LLM session timeline

Paginated per-request timeline for one session, ordered by time.

GET
/analytics/llm-session-timeline

Paginated per-request timeline for one session, ordered by time.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

view_llm_analytics

Query Parameters

scope?string

own returns only the caller's own records, even when they may see the whole organization. all, the default, returns everything the caller may see. It never widens what the caller may see.

Value in"all""own"
offset?integer

Number of items to skip before returning results.

Formatint32
Range0 <= value
Default0
limit?integer

Maximum number of items to return per page.

Formatint32
Range0 <= value <= 256
Default10
start_time*string

Start of the time range to report on, inclusive.

Formatdate-time
end_time*string

End of the time range to report on, exclusive.

Formatdate-time
session_key*string

The session to report on, identified by its provider session key.

provider*string

Telemetry provider of the session.

Value in"claude""codex""gemini""copilot"

Response Body

The request has succeeded.

application/json
  1. response

One page of a session's per-request timeline.

items*array<>

The items in this page.

meta*

Paging information for a list response.

Example Request
curl -X GET 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/analytics/llm-session-timeline?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z&session_key=string&provider=claude'
Example Response
{  "items": [    {      "occurred_at": "2019-08-24T14:15:22Z",      "model": "string",      "cost": 0.1,      "tokens": 0,      "by_type": [        {          "type": "string",          "tokens": 0        }      ],      "duration_ms": 0,      "prompt_id": "string"    }  ],  "meta": {    "total": 0,    "offset": 0,    "limit": 0  }}